Loading...
Searching...
No Matches
Halide::Internal::SmallStack< void > Class Reference

`#include <Scope.h>`

## Public Member Functions

void | pop ()
void | push ()
bool | empty () const
| SmallStack ()=default
void | top () const
void & | top_ref ()
size_t | size () const

## Detailed Description

Definition at line 73 of file Scope.h.

## Constructor & Destructor Documentation

## SmallStack()

Halide::Internal::SmallStack< void >::SmallStack | ( |  | ) |

default

## Member Function Documentation

## pop()

void Halide::Internal::SmallStack< void >::pop | ( |  | ) |

inline

Definition at line 78 of file Scope.h.

## push()

void Halide::Internal::SmallStack< void >::push | ( |  | ) |

inline

Definition at line 81 of file Scope.h.

## empty()

bool Halide::Internal::SmallStack< void >::empty | ( |  | ) | const

inline

Definition at line 84 of file Scope.h.

## top()

void Halide::Internal::SmallStack< void >::top | ( |  | ) | const

inline

Definition at line 51 of file Scope.h.

## top_ref()

void & Halide::Internal::SmallStack< void >::top_ref | ( |  | ) |

inline

Definition at line 55 of file Scope.h.

## size()

size_t Halide::Internal::SmallStack< void >::size | ( |  | ) | const

inline

Definition at line 67 of file Scope.h.

The documentation for this class was generated from the following file:

- src/Scope.h